Bug 1269709 - nouveau defaults to DRI 3 not DRI 2: bump git snapshot
nouveau defaults to DRI 3 not DRI 2: bump git snapshot
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
23
All Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-07 23:09 EDT by Adam Williamson
Modified: 2015-10-11 12:03 EDT (History)
3 users (show)

See Also:
Fixed In Version: xorg-x11-drv-nouveau-1.0.12-0.3.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-11 12:03:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 92271 None None None Never

  None (edit)
Description Adam Williamson 2015-10-07 23:09:19 EDT
The git snapshot of xorg-x11-drv-nouveau in current Rawhide and F23 is at a somewhat unfortunate point, where it's defaulting to using DRI 3. Upstream changed that shortly afterwards:

http://cgit.freedesktop.org/nouveau/xf86-video-nouveau/commit/?id=6296145654b78518f3299bb5887f224f0d3810fd

Use of DRI 3 causes a major issue with screen rotation on two systems I have here - when the display is rotated, GL performance becomes unusably slow - and upstream's commit refers to other "bugs on current implementations", so it seems a good idea to bump up at least to that commit.

On my system, current git master - http://cgit.freedesktop.org/nouveau/xf86-video-nouveau/commit/?id=1ff13a922535924681b91452235b017e43a4c6f6 - works fine.
Comment 1 Fedora Update System 2015-10-08 00:08:46 EDT
xorg-x11-drv-nouveau-1.0.12-0.3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-3943a08249
Comment 2 Fedora Update System 2015-10-09 09:56:32 EDT
xorg-x11-drv-nouveau-1.0.12-0.3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update xorg-x11-drv-nouveau'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-3943a08249
Comment 3 Fedora Update System 2015-10-11 12:03:41 EDT
xorg-x11-drv-nouveau-1.0.12-0.3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.